| Wheelchair Control Diploma Thesis, Author: Ondrej Vozda, FEEC BUT, 2013

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events Pages
Public Member Functions | Properties | Private Attributes | List of all members
World.Mark Class Reference

Detected mark class. More...

## Public Member Functions
| Mark ()
| Default constructor. More...
| Mark (PointF coordinatesIn, Color colorIn, WorldMap.MarkPosition positionIn)
| Constructor. More...

## Properties
WorldMap.MarkPosition | Position`[get, set]`
| Mark position getter / setter. More...
PointF | Coordinates`[get, set]`
| Coordinates getter / setter. More...
Color | MarkColor`[get, set]`
| Mark color getter / setter. More...

## Private Attributes
PointF | coordinates = new PointF()
| Mark world coordinates. More...
WorldMap.MarkPosition | position
| Mark position. More...
Color | markColor = new Color()
| Selected color. More...

## Detailed Description

Detected mark class.

Definition at line 97 of file WorldMap.cs.

## Constructor & Destructor Documentation

World.Mark.Mark | ( |  | ) |

Default constructor.

Definition at line 166 of file WorldMap.cs.

World.Mark.Mark | ( | PointF | coordinatesIn,
|  | Color | colorIn,
|  | WorldMap.MarkPosition | positionIn
| ) |  |

Constructor.

Parameters

  coordinatesIn | Mark world coordinates.
  colorIn | Mark selected color.
  positionIn | Mark position.

Definition at line 175 of file WorldMap.cs.

## Member Data Documentation

PointF World.Mark.coordinates = new PointF()
| private

Mark world coordinates.

Definition at line 102 of file WorldMap.cs.

Color World.Mark.markColor = new Color()
| private

Selected color.

Definition at line 112 of file WorldMap.cs.

WorldMap.MarkPosition World.Mark.position
| private

Mark position.

Definition at line 107 of file WorldMap.cs.

## Property Documentation

PointF World.Mark.Coordinates
| get set

Coordinates getter / setter.

Definition at line 135 of file WorldMap.cs.

Color World.Mark.MarkColor
| get set

Mark color getter / setter.

Definition at line 151 of file WorldMap.cs.

WorldMap.MarkPosition World.Mark.Position
| get set

Mark position getter / setter.

Definition at line 118 of file WorldMap.cs.

The documentation for this class was generated from the following file:

- C:/Users/Ondra/Desktop/Wheelchair Control/WorldMap.cs